#!/usr/bin/perl
# Zażółciła się gęśla jaźń! (ąęśćńłſs)
#
@lst = `dir /b *.htm* *.txt *.tex`;

# begin for file
foreach $f (@lst) {
 print $f;
 open (FILE, "$f") or die "File cannot be opened: $!";
 @lines=<FILE>;
 close FILE;

$chapno=0;
$verno=0;

# begin for line
 foreach $l (@lines) {
# begin if
  if (($l !~ /^\\/) && ($l !~ /% !TEX encoding/)) {

# rules
$l =~ s/(s)([\wąęłńóśćżź])/ſ\2/g;
$l =~ s/(s)([\wąęłńóśćżź])/ſ\2/g;

$l =~ s/(\s|~|^)U/\1V/g;
$l =~ s/(\s|~|^)u/\1v/g;

#$l =~ s/(\s|~|^)I~/\1Y~/g;
#$l =~ s/(\s|~|^)i~/\1y~/g;

$l =~ s/, / \/ /g;
$l =~ s/ y\./ y~/g;
$l =~ s/\?/:/g;

$l =~ s/a/á/g;
$l =~ s/ɾ/r/g;
$l =~ s/ó/o/g;

$l =~ s/zi/źi/g;
$l =~ s/ci/ći/g;
$l =~ s/si/śi/g;

$l =~ s/(C|c)z/\1ż/g;

# corr
$l =~ s/Chryst/Kryſt/g;
$l =~ s/Jezu(s|ſ)/Iezu\1/g;
$l =~ s/(\s|~|^)więk(s|ſ)z/\1więt\2z/g;
$l =~ s/(\s|~|^)j(á|a)k/\1i\2k/g;
$l =~ s/(\s|~|^)je(s|ſ)li/\1ie\2li/g;
$l =~ s/(\s|~|^)je(s|ſ)t/\1ie\2t/g;
$l =~ s/(\s|~|^)Już/\1Iuż/g;
$l =~ s/(\s|~|^)już/\1iuż/g;
$l =~ s/(\s|~|^)Jemu/\1Iemu/g;
$l =~ s/(\s|~|^)jemu/\1iemu/g;
$l =~ s/(\s|~|^)Jego/\1Iego/g;
$l =~ s/(\s|~|^)jego/\1iego/g;
$l =~ s/(\s|~|^)(M|m)oje/\1\2oie/g;
$l =~ s/(\s|~|^)jeden/\1ieden/g;
$l =~ s/(\s|~|^)ją/\1ią/g;
#$l =~ s/(\s|~|^)(R|r)ozkáz/\1\2oſkáz/g;
$l =~ s/(\s|~|^)izráel/\1Izráel/g;
$l =~ s/(\s|~|^)ieruzál/\1Ieruzál/g;
$l =~ s/(\s|~|^)káldej/\1Káldey/g;
$l =~ s/(\s|~|^)judzki/\1Iudſki/g;
$l =~ s/(\s|~|^)(R|r)oztrop/\1\2oſtrop/g;
$l =~ s/(\s|~|^)Jeruzálem/\1Ieruzálem/g;
$l =~ s/(\s|~|^)Język/\1Ięzyk/g;
$l =~ s/(\s|~|^)język/\1ięzyk/g;
$l =~ s/(\s|~|^)jádł/\1iádł/g;
$l =~ s/(\s|~|^)jeſzcże/\1ieſzcże/g;
$l =~ s/(\s|~|^)árch/\1Arch/g;
$l =~ s/(\s|~|^)Jákub/\1Iákob/g;
$l =~ s/(\s|~|^)Ezáw/\1Ezáu/g;
$l =~ s/(\s|~|^)je/\1ie/g;
$l =~ s/(\s|~|^)iej/\1iey/g;
$l =~ s/(\s|~|^)(O|o)jc/\1\2yc/g;
$l =~ s/(\s|~|^)(M|m)iejſc/\1\2ieysc/g;
$l =~ s/(\s|~|^)(O|o)nej/\1\2ney/g;
$l =~ s/(\s|~|^)(S|ſ)tudniej/\1\2tudniey/g;
$l =~ s/(\s|~|^)(V|v)já/\1\2yá/g;
$l =~ s/(\s|~|^)(P|p)rzedniej/\1\2rzedniey/g;
$l =~ s/(\s|~|^)fáráo/\1Fáráo/g;
$l =~ s/(\s|~|^)egipt/\1Egipt/g;
$l =~ s/(\s|~|^)chánánejſkiej/\1Chánáneyſkiey/g;
#$l =~ s/(\s|~|^)trwog/\1trfog/g;
$l =~ s/(\s|~|^)Mojżeſz/\1Moiżeſz/g;
$l =~ s/(\s|~|^)(N|n)iżli/\1\2iźli/g;
#$l =~ s/(\s|~|^)(N|n)áwyżſz/\1\2áwyzſz/g;
#$l =~ s/(\s|~|^)(W|w)ywyżſz/\1\2ywyzſz/g;
$l =~ s/(\s|~|^)(S|ſ)woy(e|ę)/\1\2woi\3/g;
$l =~ s/(\s|~|^)(T|t|Th|th)woj(e|ę)/\1\2woi\3/g;
$l =~ s/(\s|~|^)(M|m)iłuj(e|ę)/\1\2iłui\3/g;
#$l =~ s/(\s|~|^)(C|c)horągiew/\1\2horągieẃ/g;
$l =~ s/(\s|~|^)(á|a)nioł/\1Anioł/g;
$l =~ s/(\s|~|^)ewánjelijej/\1Ewánieliey/g;
$l =~ s/(\s|~|^)Gálilejej/\1Gálileiey/g;
$l =~ s/(\s|~|^)Máriej/\1Máryey/g;
$l =~ s/(\s|~|^)Bethánijej/\1Bethániiey/g;
$l =~ s/(\s|~|^)ſzábát/\1Szábát/g;
$l =~ s/(\s|~|^)Azjej/\1Azyey/g;
#$l =~ s/(\s|~|^)(W|w)ewn(ą|ę)trz/\1\2e wn\3trz/g;
#$l =~ s/(\s|~|^)(Z|z)ewn(ą|ę)trz/\1\2e wn\3trz/g;
#$l =~ s/(\s|~|^)(Z|z)e wn(ą|ę)trz/\1\2ewn\3trz/g;

#$l =~ s/(\s|~|^)I(\s|~)/\1Y\2/g;
#$l =~ s/(\s|~|^)i(\s|~)/\1y\2/g;

#$l =~ s/(\s|~|^)S(k|t)ąd/\1Z~\2ąd/g;
#$l =~ s/(\s|~|^)(s|ſ)(k|t)ąd/\1z~\3ąd/g;

$l =~ s/(\s|~|^)efá/\1Efá/g;
$l =~ s/(\s|~|^)omer/\1Omer/g;
#$l =~ s/(\s|~|^)(s|ſ)ykl/\1Sykl/g;
$l =~ s/(\s|~|^)(M|m)áją/\1\2áią/g;

$l =~ s/(\s|~|^)Sámárjej/\1Sámáryey/g;

# post corr
$l =~ s/(\s|~|^)J/\1I/g;
$l =~ s/ſſ/ſs/g;
$l =~ s/ſf/sf/g;
$l =~ s/fſ/fs/g;
$l =~ s/(\s|~|^)ſs/\1sſ/g;
$l =~ s/(\s|~|^)ſwoyej/\1ſwoiey/g;
$l =~ s/(\s|~|^)twojej/\1twoiey/g;
$l =~ s/ſsz/sſz/g;
$l =~ s/(\s|~|^)(P|p)ołnoc/\1\2ułnoc/g;

# commands corr
$l =~ s/\\bfſeries/\\bfseries/g;
$l =~ s/\\cláſsicfont/\\classicfont/g;
$l =~ s/\\ſmáll/\\small/g;
$l =~ s/\\ſpácedfont/\\spacedfont/g;
$l =~ s/\\pár/\\par/g;

$l =~ s/(\s|~|^)Hetejcż/\1Heteycż/g;
$l =~ s/(\s|~|^)Amorejcż/\1Amoreycż/g;
$l =~ s/(\s|~|^)Chánánejcż/\1Chánáneycż/g;
$l =~ s/(\s|~|^)Ferezejcż/\1Ferezeycż/g;
$l =~ s/(\s|~|^)Hewejcż/\1Heweycż/g;
$l =~ s/(\s|~|^)Iebuzejcż/\1Iebuzeycż/g;
$l =~ s/(\s|~|^)Cháldejcż/\1Káldeycż/g;
$l =~ s/(\s|~|^)etiopſk/\1Ethyopſk/g;
$l =~ s/(\s|~|^)judzcy/\1Iudscy/g;
$l =~ s/(\s|~|^)Bábilonjej/\1Bábiloniey/g;
$l =~ s/(\s|~|^)ewánjelijá/\1Ewánieliá/g;

$l =~ s/(\s|~|^)(C|c)háldejſk/\1Káldeyſk/g;
$l =~ s/(\s|~|^)(H|h)etejſk/\1Heteyſk/g;

#$l =~ s/(\s|~|^)połnocy/\1Pułnocy/g;
#$l =~ s/(\s|~|^)południ/\1Południ/g;
$l =~ s/(\s|~|^)Stámtąd/\1Z~támtąd/g;
$l =~ s/(\s|~|^)ſtámtąd/\1z~támtąd/g;
#$l =~ s/(\s|~|^)przedmieśći/\1przedmieſći/g;
#$l =~ s/(\s|~|^)Zácháriáſ/\1Zácháryáſ/g;
$l =~ s/(\s|~|^)mężobojc/\1mężoboyc/g;
$l =~ s/(\s|~|^)ápoſto(ł|l)/\1Apoſto\2/g;
$l =~ s/(\s|~|^)ierozolim/\1Ierozolim/g;
$l =~ s/(\s|~|^)ewánjeliją/\1Ewánielią/g;
$l =~ s/(\s|~|^)mieſzkáją/\1mieſzkáią/g;
$l =~ s/(\s|~|^)Mádiánit/\1Mádyánit/g;
$l =~ s/(\s|~|^)(C|c)hlubi/\1\2hłubi/g;
$l =~ s/(\s|~|^)(W|w)ej(z|ź)r/\1\2ey\3r/g;
$l =~ s/(\s|~|^)(ſ|s)woje/\1\2woie/g;
$l =~ s/(\s|~|^)cherubin/\1Cherubin/g;
$l =~ s/(\s|~|^)(S|ſ)woję/\1\2woię/g;
$l =~ s/(\s|~|^)bábiloń/\1Bábiloń/g;
$l =~ s/(\s|~|^)wpo(ś|s|ſ)(r|rz)od/\1w~po\2\3od/g;
$l =~ s/(\s|~|^)Iſboſet/\1Isboſet/g;

$l =~ s/ſh/sh/g;

  }
# end if

# corr

# write bchapter and the first verse of the chapter
if ( $l =~ /\\mychap/ ) {
 $chapno++;
 $verno=1;
 my @lparts = split(/\}/, $l);
 $l = "\n\\bchapter% " . $chapno . ".\n\n";
 $l .= "\\begin{comment}\n";
 $l .= "\\end{comment}\n\n";
 $l .= "\\bverse% " . $chapno . ":1\n";
 $l .= $lparts[1];
}

# \myver{2}
if ( $l =~ /\\myver/ ) {
 $verno++;
 my @lparts = split(/\}/, $l);
 $l = "\n\\bverse% " . $chapno . ":" . $verno . "\n";
 $l .= $lparts[1];
}

 }
# end for line

 open (FILE, ">$f") or die "File cannot be overwritten: $!";
 for (@lines) { print FILE; }
 close FILE;
}
# end for file
